# openapi-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://api.pz3r0.com
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://api.pz3r0.com"
)



# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = openapi_client.DefaultApi(api_client)
    threshold = 'threshold_example' # str | 
api_key = 'api_key_example' # str | 
post_identity_body = openapi_client.PostIdentityBody() # PostIdentityBody | A JSON object containing Identity information

    try:
        # Add a new identity
        api_response = api_instance.post_identity(threshold, api_key, post_identity_body)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->post_identity: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://api.pz3r0.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**post_identity**](docs/DefaultApi.md#post_identity) | **POST** /identity | Add a new identity


## Documentation For Models

 - [ErrorMessage](docs/ErrorMessage.md)
 - [Factor](docs/Factor.md)
 - [FactorType](docs/FactorType.md)
 - [Identity](docs/Identity.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [PostIdentityBody](docs/PostIdentityBody.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




